Description

It would be good if it was easier to swap a layer source to a new one in the layer properties where the file location shows. All other settings

could be kept. 

A change file link button placed at the end of that file reference field would make this task easier.

I have changed file references before using a text editor on the work file, but not the easiest thing to do.

History

#1 - 2015-10-07 02:22 PM - James Harvey

In addition to this, sometimes the data file that I use has a file name change now and then. It is the same data table, but just a name change. It would be

good if it was easier to relink these data files up again / swap them out from the file reference in the layer properties.

#2 - 2017-03-16 05:43 AM - Nikolay Lebedev

changeDataSource plugin functionality should really be merged into core QGIS.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
